Mencegah update paket aplikasi tertentu di CentOS

Saya sedang mengurus salah satu VPS yang masih memakai stack LAMP (Linux, Apache, MySQL, dan PHP) pada CentOS 6.6. Karena sudah prosedur standar untuk secara rutin melakukan update sistem operasi dan paket aplikasi yang terinstall ya saya eksekusi jadinya. Ternyata jadi sedikit masalah dengan Apache dan MySQLnya. Yang terbaru kurang stabil dan setelah semingguan kok sering mati sendiri. 🙁

Setelah downgrade paket aplikasi yang bermasalah ke versi lama dan karena tidak mungkin saya tidak memperbarui apa yang ada dalam CentOS, akhirnya saya putuskan untuk mencegah update saja daripada repot – repot troubleshooting lagi kedepannya. 😀

Yang pasti syaratnya anda harus tahu apa nama paket aplikasinya. Saya misalkan untuk mengabaikan versi lebih baru dari Apache dan MySQL maka perintahnya adalah:

yum --exclude=httpd* update
yum --exclude=mysql* update

Dan bisa digabung menjadi satu:

yum --exclude=httpd* --exclude=mysql* update

Saya ajarkan yang per individu dulu supaya tidak bingung bacanya. 🙂

Solusi diatas sudahlah cukup, tapi juga tidak menutup kemungkinan kita lupa menambahkan parameter pengecualiannya suatu saat. Apabila memang niatnya sudah permanen mencegah updatenya maka ada caranya, jadi walaupun ketik yum update tetap aman karena dilewati dalam konfigurasinya. 😀

Pertama mari kita edit konfigurasi yum:

nano /etc/yum.conf

Kurang lebih isinya akan seperti ini:

[main]
cachedir=/var/cache/yum/$basearch/$releasever
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
installonly_limit=5
bugtracker_url=http://bugs.centos.org/set_project.php?project_id=19&ref=http://bugs.centos.org/bug_report_page.php?category=yum
distroverpkg=centos-release
exclude=httpd* mysql*

Perhatikan baris akhirnya ada exclude, itulah tambahan settingnya. Nama paketnya harap dipisahkan dengan spasi. Dan bagi yang ingin tahu kenapa ada tanda bintang (*) di akhirnya, ini maksudnya adalah wildcard dan akan mencocokkan nama apapun setelah awalannya.

Oh ya, misal anda juga memanfaatkan repository tambahan seperti EPEL maka perlu anda edit juga konfigurasinya dan menambahkan kode yang sama diatas.

Tinggalkan komentar